Get Parent Agent Details
curl --request GET \
--url https://app.maadify.com/api/parent_agents/{parent_agent_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.maadify.com/api/parent_agents/{parent_agent_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.maadify.com/api/parent_agents/{parent_agent_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"parent_agent": {
"id": 123,
"parent_agent_type": "<string>",
"parent_agent_type_key": "<string>",
"agent_key": "<string>",
"agent_name": "<string>",
"full_display_name": "<string>",
"tenant": "<string>",
"display_name": "<string>",
"description": "<string>",
"configs": {
"last_agent_in_group": "<string>",
"max_rounds": "10",
"temperature": 0,
"max_messages": "10",
"continue_with_last_agent": false,
"memory_expiration": {
"thread_ttl_hours": 24,
"agent_ttl_days": 123,
"tenant_ttl_days": 123,
"clear_thread_on_conversation_end": false
}
},
"llm_model": 123,
"llm_model_name": "<string>",
"active": true,
"state_function": [
{}
],
"created_at": "<string>"
},
"details": {
"sub_agents": [
{
"id": 123,
"sub_agent_name_key": "<string>",
"sub_agent_name": "<string>",
"agent_type": "<string>",
"description": "<string>",
"config": {},
"tenant": "<string>",
"system_prompt": {
"id": "<string>",
"tenant_id": "<string>",
"name": "<string>",
"version": "<string>",
"is_active": true,
"content": "<string>",
"metadata": {},
"latest_version": true,
"created_at": "<string>",
"updated_at": "<string>"
},
"llm_model": {
"id": 123,
"model_name": "<string>",
"model_version": "<string>",
"provider": "<string>"
},
"tools": [
{
"agent_tool_id": 123,
"system_agent_tool_id": 123,
"name": "<string>",
"display_name": "<string>",
"description": "<string>",
"option": "<string>",
"connector": "<string>",
"connector_setting_id": 123,
"input_schema": "<unknown>",
"output_schema": "<unknown>",
"output_example": "<unknown>",
"input_example": "<unknown>"
}
]
}
],
"executed_tools": [
{
"id": 123,
"parent_agent_tool_id": 123,
"parent_agent_id": 123,
"agent_tool_id": 123,
"tool_id": "<string>",
"flow_configs": {},
"default_tool_owner_config": {},
"name": "<string>",
"tool_name": "<string>",
"display_name": "<string>",
"tool_name_display": "<string>",
"custom_name": "<string>",
"description": "<string>",
"connector": "<string>",
"connector_image": "<string>",
"connector_name_display": "<string>",
"input_schema": "<unknown>",
"output_schema": "<unknown>",
"output_example": "<unknown>",
"tool_output_schema": "<unknown>",
"tool_output_example": "<unknown>",
"tenant_owner": "<string>",
"tenant_owner_name": "<string>"
}
]
}
},
"error_type": "<string>",
"error_message": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Parent agents
Get Parent Agent Details
Get a parent agent and its configured tools, sub-agents, and state-function details.
GET
/
api
/
parent_agents
/
{parent_agent_id}
Get Parent Agent Details
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Query Parameters
⌘I
